summaryrefslogtreecommitdiff
path: root/t/serial-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/serial-tests.sh')
-rw-r--r--t/serial-tests.sh62
1 files changed, 6 insertions, 56 deletions
diff --git a/t/serial-tests.sh b/t/serial-tests.sh
index 78f379455..1f953abde 100644
--- a/t/serial-tests.sh
+++ b/t/serial-tests.sh
@@ -16,69 +16,19 @@
# Option 'serial-tests'.
-am_create_testdir=empty
. test-init.sh
-hasnt_parallel_tests ()
-{
- $EGREP 'TEST_SUITE_LOG|TEST_LOGS|\.log.*:' $1 && exit 1
- grep 'recheck.*:' $1 && exit 1
- grep '^check-TESTS: \$(TESTS)$' $1
-}
-
-has_parallel_tests ()
-{
- $EGREP '(^| )check-TESTS.*:' $1
- $EGREP '(^| )recheck.*:' $1
- grep '^\$(TEST_SUITE_LOG): \$(TEST_LOGS)$' $1
- grep '^\.test\.log:$' $1
-}
-
-mkdir one two
-
-cat > one/configure.ac <<END
-AC_INIT([$me], [1.0])
-AM_INIT_AUTOMAKE([serial-tests])
-AC_CONFIG_FILES([Makefile])
-END
-
-echo 'TESTS = foo.test bar.test' > one/Makefile.am
-
-cat > two/configure.ac <<END
-AC_INIT([$me], [2.0])
-AC_CONFIG_AUX_DIR([config])
-AM_INIT_AUTOMAKE([parallel-tests])
-AC_CONFIG_FILES([aMakefile bMakefile])
-END
-
-cp one/Makefile.am two/aMakefile.am
-cat - one/Makefile.am > two/bMakefile.am <<END
+cat > Makefile.am << 'END'
AUTOMAKE_OPTIONS = serial-tests
+TESTS = foo.test bar.test
END
-cd one
-touch missing install-sh
$ACLOCAL
$AUTOMAKE
-grep TEST Makefile.in # For debugging.
-hasnt_parallel_tests Makefile.in
-test ! -e test-driver
-cd ..
-
-cd two
-mkdir config
-$ACLOCAL
-$AUTOMAKE --add-missing
-grep TEST [ab]Makefile.in # For debugging.
-has_parallel_tests aMakefile.in
-hasnt_parallel_tests bMakefile.in
-mv aMakefile.in aMakefile.sav
-mv bMakefile.in bMakefile.sav
+grep '^include .*/am-ng/serial-tests\.mk$' Makefile.in
+$FGREP 'parallel-tests.mk' Makefile.in && exit 1
+test -f am-ng/serial-tests.mk
+test ! -e am-ng/parallel-tests.mk
test ! -e test-driver
-test -f config/test-driver
-$AUTOMAKE
-diff aMakefile.sav aMakefile.in
-diff bMakefile.sav bMakefile.in
-cd ..
: